[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.CreateDockManager

Returns the DockManager for this control.

## Declaration

Source position: controls.pp line 2251

`protected function TWinControl.CreateDockManager: TDockManager; virtual;`

## Function result

The dockmanager for this site, can be Nil for an unmanaged site.

## Description

If DockManager is Nil, and UseDockManager is True, a new default DockManager is created.